#!../../bin/linux-x86/example
#cd "$(INSTALL)"
< envPaths

cd ${TOP}

#$(LINUX_ONLY)epicsEnvSet(EPICS_CA_REPEATER_PORT,"6065")
#$(LINUX_ONLY)epicsEnvSet(EPICS_CA_SERVER_PORT,"6064")

# Load binaries on architectures that need to do so.
# VXWORKS_ONLY, LINUX_ONLY and RTEMS_ONLY are macros that resolve
# to a comment symbol on architectures that are not the current
# build architecture, so they can be used liberally to do architecture
# specific things. Alternatively, you can include an architecture
# specific file.
#$(VXWORKS_ONLY)ld < bin/$(ARCH)/example.munch

#$(VXWORKS_ONLY)epicsEnvSet(EPICS_CA_REPEATER_PORT,"6065")
#$(VXWORKS_ONLY)epicsEnvSet(EPICS_CA_SERVER_PORT,"6064")
epicsEnvSet(EPICS_CA_MAX_ARRAY_BYTES,"3000000")

## Register all support components
dbLoadDatabase("dbd/example.dbd")
example_registerRecordDeviceDriver(pdbbase)


# Run the configuration function once for each card in the IOC
# This is the function registered in registrarHy8314ip.c
#  Arguments should be something like:
#  * asyn port (string)
#  * VME slot number
#  * IP slot number
#  * - any other arguments that need to be used for configuration
#      at startup time.


# For PCI/Linux IOC, use
ipacAddHyLinux9010("99,1,IPCLCKB=32")

# For PCI/RTEMS IOC, use
#ipacAddHyRTEMS9010("1,4,0")

# For VME/VxWorks
#IPAC3 = ipacAddHy8002("3,2")  

#int Hy8414AsynInit(char *portName,  "ADC8414"
#  int carrierNum, 	0
#  int ipSlotNum,   0
#  int vectorNum,   88
#  int mode)        0 (continuous)
Hy8414AsynInit("ADC8414", 0, 2, 88, 1)

#int Hy8414AsynExtInit(char *portName,  "ADC8414"
#  int samples,     10000
#  int average,     1000
#  int offset,      0
#  int clockRate,   9 (1kHz)
#  int extClock,    0 (internal)
#  int fastADC,     1 (fast ADC, set to 0 for mca & EPID support)
#  int gain,        0 times 1
#  int range)  		0 (+/-10V)
Hy8414AsynExtInit("ADC8414", 5000, 1, 0, 9, 0, 1, 0, 0)

# int initFastSweep(char *portName, char *inputName,
#                   int maxSignals, int maxPoints)
# portName   = asyn port name for this port
# inputName  = name of input port
# maxSignals = maximum number of input signals.
# maxPoints  = maximum number of points in a sweep.  The amount of memory
#              allocated will be maxPoints*maxSignals*4 bytes
#$(VXWORKS_ONLY)initFastSweep("8414Sweep1","ADC8414", 16, 10000)


##########
# Hytec 8402 DAC in IP site B of the IP carrier card in slot 10.
#$(VXWORKS_ONLY)Hy8402ipConfigure (302, IPAC3, 2, 11)

#initHy8402ipAsyn("DAC", 302)
##########


## Load record instances
dbLoadRecords("db/example.db","P=CARD1,PORT=ADC8414")
#dbLoadRecords("db/examplemca.db")
#dbLoadRecords("db/exampleepid.db")

# set trace output level for asyn port "ADC8414"
# Level: 0x01 = Errors only
# asynSetTraceMask arguments:
#  * asyn port
#  * address of that asynport (i.e. channel number)
#  * verbosity level: 
#                     0x01: error, 
#                     0x11: errors, warnings and debug
#                     0x00: silent
asynSetTraceMask( "ADC8414", 0, 0x00 )  
# all driver level messages

iocInit()

